ru.bitel.bgbilling.plugins.assistant.server.event

## Class AssistantActionsListEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.plugins.assistant.server.event.AssistantActionsListEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class AssistantActionsListEvent
      extends LocalEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssistantActionsListEvent(int contractId, java.util.List<AssistantActionItem> assistantActionItems)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActionsContractId()`
    `java.util.List<AssistantActionItem>` | `getAssistantActionItems()`
    `void` | `setAssistantActionItems(java.util.List<AssistantActionItem> assistantActionItems)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AssistantActionsListEvent

          public AssistantActionsListEvent(int contractId,
                                           java.util.List<AssistantActionItem> assistantActionItems)

  - ### Method Detail

    - #### getAssistantActionItems

          public java.util.List<AssistantActionItem> getAssistantActionItems()

    - #### setAssistantActionItems

          public void setAssistantActionItems(java.util.List<AssistantActionItem> assistantActionItems)

    - #### getActionsContractId

          public int getActionsContractId()